#!/bin/bash
# Script desenvolvido por Ricardo Guedes <rguedes@gmail.com>
# para automatizar o processo de aplicao
# de patches no SAGE 2008.
# Manaus, 16/09/2017.

lista=`ls *.gz`

dir_ext=`date +"%Y%m%d_%H%M%S"`
mkdir $dir_ext
cd $dir_ext

for a in $lista; do
  echo "Extraindo: $a";
  tar -xzf ../$a
done

lista_ext=`ls`

for b in $lista_ext; do
  if [ -f $b ]; then
    arq_o=`find $SAGE -name $b -type f | grep -v $dir_ext`
    echo "Copiando o arquivo $b para $arq_o";
    cp $b $arq_o
  fi

  if [ -d $b ]; then
    echo "Copiando o diretorio $b para $SAGE";
    cp -R $b $SAGE
  fi
done

rm -rf ../$dir_ext





